org.apache.ignite.internal.visor.query

## Class VisorQueryTask.VisorQueryArg

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryTask.VisorQueryArg

All Implemented Interfaces:
  Serializable

Enclosing class:
  VisorQueryTask

    public static class VisorQueryTask.VisorQueryArg
    extends Object
    implements Serializable

Arguments for `VisorQueryTask`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryTask.VisorQueryArg(Collection<UUID> proj, String cacheName, String qryTxt, Integer pageSize)`

### Method Summary

Methods
`String` `cacheName()`
`Integer` `pageSize()`
`Collection<UUID>` `proj()`
`String` `queryTxt()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryTask.VisorQueryArg

    public VisorQueryTask.VisorQueryArg(Collection<UUID> proj,
                                String cacheName,
                                String qryTxt,
                                Integer pageSize)

Parameters:
  `proj` - Node ids for query.
  `cacheName` - Cache name for query.
  `qryTxt` - Query text.
  `pageSize` - Result batch size.

### Method Detail

#### proj

    public Collection<UUID> proj()

Returns:
  Proj.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### queryTxt

    public String queryTxt()

Returns:
  Query txt.

#### pageSize

    public Integer pageSize()

Returns:
  Page size.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015